Skip to content

Create Legend Entry

POST
/api/writing/outline/legend/{node_id}/create

Create a legend-only entry (lightweight note for this book).

node_id
required
Node Id
string
>= 1 characters
LegendCreateRequest

Create a new legend-only entry (lightweight note for this book).

object
title
required
Title
string
entryType
Entrytype
string
default: custom
description
Description
string
""
tags
Tags
Array<string>

Successful Response

LegendEntry

A lore entry in a book/series Legend. May or may not be linked to the Legendry.

object
id
required
Id
string
outlineNodeId
required
Outlinenodeid
string
loreEntryId
required
Any of:
string
title
required
Title
string
entryType
required
Entrytype
string
categoryName
required
Categoryname
string
description
required
Description
string
tags
Tags
Array<string>
isLegendryLinked
required
Islegendrylinked
boolean
createdAt
required
Createdat
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object